Bug 1344429 - [RFE] [ODL] [Intel] OpenDaylight OVS-DPDK support
Summary: [RFE] [ODL] [Intel] OpenDaylight OVS-DPDK support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 12.0 (Pike)
Assignee: Josh Hershberg
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On: 1414325 1464592
Blocks: 1389435 1442136 1389441 1528941
TreeView+ depends on / blocked
 
Reported: 2016-06-09 16:13 UTC by Rob Armstrong
Modified: 2018-10-18 07:18 UTC (History)
13 users (show)

Fixed In Version: opendaylight-6.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
This update adds the support for OpenDaylight, OVS-DPDK and OpenStack in the NetVirt/OVSDB scenario. This feature allows users to set up virtualized networks for their tenants using OpenDaylight and OVS_DPDK.
Clone Of:
: 1528941 (view as bug list)
Environment:
N/A
Last Closed: 2017-12-13 20:44:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Rob Armstrong 2016-06-09 16:13:12 UTC
1. Feature Overview: Support for the Amazon S3 API in Swift
 a)	Name of feature: INTEL OSP 10 FEAT OPENDAYLIGHT OVS_DPDK NETVIRT-OVSDB SUPPORT

 b)	Feature Description: Provide support for OpenDaylight, OVS-DPDK and OpenStack in the NetVirt/OVSDB scenario.  This feature allows users to use OpenDaylight to set up virtualized networks for their tenants using OpenDaylight (& OVS_DPDK).

 2.	Feature Details:
 a)	Architectures:
64-bit Intel E
Power
System/390

 b)	Bugzilla Dependencies:

 c)	Drivers or hardware dependencies:

 d)	Upstream acceptance information: 

 e)	External links:

 f)	Severity (H,M,L):  H
High (required for Hardware Enablement)
Medium
Low

 g)	Feature Needed by:

 3.	Business Justification:  (Some partners prefer to include this information in Comment #1, so it can be made private if the bug is opened to other partners.)

 a)	Why is this feature needed?

 b)	What hardware does this enable?

 c)	Is this hardware on-board in a system (eg, LOM) or an add-on card?

 d)	Business impact?

 e)	Other business drivers:

 4.	Primary contact at Red Hat, email, phone (chat)

Phone Number
 5.	Primary contact at Partner, email, phone (chat)
Rob Armstrong
Robert.h.armstrong@intel.com
Phone Number 503-887-3687

Comment 2 Nir Yechiel 2016-08-17 14:06:56 UTC
There is some work going on in upstream to enable support for this feature in both ODL and networking-odl, but this is not a priority for us in Boron/RHOSP 10 as we are focusing on the switch towards the new NetVirt implementation. We prefer to get things working and stable with base OVS before we tackle the DPDK one.

Once we get there we should really have a discussion with Intel on what is actually required here in terms of topologies/deployment options, encapsulation types, and other supportive features such security groups, IPAM, routing, etc.

Comment 5 Nir Yechiel 2017-01-18 10:20:23 UTC
The new target is to support OVS-DPDK with ODL in RHOSP 12 (Pike). Note also BZ 1414325 which tracks the required TripleO (OSP director) changes.

Comment 14 errata-xmlrpc 2017-12-13 20:44:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462

Comment 16 Josh Hershberg 2018-04-02 13:53:52 UTC
Lukas, where do I see the doctext?


Note You need to log in before you can comment on or make changes to this bug.